This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 170539 - /etc/motd file replaced when updating the setup package
/etc/motd file replaced when updating the setup package
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: setup (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-12 13:36 EDT by Steve Cleveland
Modified: 2014-03-16 22:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 15:53:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Cleveland 2005-10-12 13:36:50 EDT
Description of problem:
/etc/motd is moved to /etc/motd.rpmsave when installing the setup package from
RHEL4 Update 2, even though the motd file replacing it is blank.

Version-Release number of selected component (if applicable):

setup-2.5.37-1.3, part of RHEL4 Update 2

How reproducible:

Easily

Steps to Reproduce:
1. create an /etc/motd file
2. update the setup package
  
Actual results:

Installing...
   1:setup                  warning: /etc/motd saved as /etc/motd.rpmsave 17%)
########################################### [100%]

Expected results:

/etc/motd should be treating as any other system config file and should not be
moved during an update.

Additional info:
Comment 1 Bill Nottingham 2005-10-17 15:53:15 EDT
This problem will be resolved in the next release of Red Hat Enterprise Linux.
Red Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.